<img src="README.assets/openxglogo.png" alt="OpenXG" style="zoom: 100;" />

# 1. Generals
OpenXG is a series of 5G/6G-oriented open source projects developed by Open Source Radio Access Network Community. Currently, the community has developed the project from five aspects, including:
* Core network projects, 3GPP R15/R16 specification compliant network functions have been developed, including AMF, SMF, NRF, UPF, AUSF, UDM, AUSF, NWDAF, etc. Message level stateless mechanism is introduced in to the core network to make it better adapted to the cloud environment.
* Open hardware reference design, the reference design of heterogeneous computing hardware, white-box radio frontend, and open source UE hardware are also opened to the community.
* Radio access network projects, currently CU, DU and UE protocol software are developed, which is mainly compliant with 3GPP R15/R16 specifications. The software is developed by a modular-design, and which is flexible to customize to different vertical scenarios.
* AI-enabled management projects, three kinds of projects are developed under this category, including the AIEngine, which is aimed to provide the core AI capability for the management, the network measurement, and computing network for cloud-edge-end collaborative. 
* Uses cases and applications in verticals, some key use cases when applying OpenXG to vertical scenarios are also developed as a reference for the community.


**ERM V1.0**
------
欢迎来到ERM V1.0。

**项目描述**
------
一个面向边缘计算的多用户计算资源分配模型：

基于Docker和python开发，可用于构建分布式边缘计算、网络环境仿真等场景。

**功能概览**
------
* 无线网络配置
* 计算资源管理
* 容器动态配置
* 容器计算和网络应用快速构建

**开发人员**
------
* 林彬
* 毕宿志

------
由于图片显示问题，本项目的具体内容请查看README.PDF。